Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518847 - When provisionining a VM in AWS, sometimes cloud subnet and availability zone are not able to be chosen
Summary: When provisionining a VM in AWS, sometimes cloud subnet and availability zone...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: drew uhlmann
QA Contact: Matouš Mojžíš
URL:
Whiteboard: provision:ec2
Depends On:
Blocks: 1533277
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:13 UTC by David Luong
Modified: 2018-06-21 20:53 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1533277 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:53:59 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description David Luong 2017-11-29 16:13:38 UTC
Description of problem:
When provisioning a VM in AWS, sometimes cloud subnet and availability zone are not able to be choosen

Version-Release number of selected component (if applicable):
5.9.0

How reproducible:
Every time

Steps to Reproduce:
1.  Compute -> Cloud -> Instance
2.  Lifecycle -> Provision Instances
3. Under environment, chooose a VPC.


Actual results:
Every other time a  VPC is chosen in the drop down list there are 5 vpcs, VPC1, VPC2, VP3, VPC4, and VPC5 appear in the drop down in that order.  VPC1, VPC3, VPC5 will display correctly, however, VPC2 and VPC4 will not populate Availability Zone and Cloud Subnet.  The work around when this happens is to choose a Security Group, then the Cloud Subnet window gets populated

Expected results:
All VPCs properly populate fields

Additional info:

Comment 2 Bronagh Sorota 2017-12-04 23:09:38 UTC
Julian
Can you take a look at this.
thanks
B

Comment 3 Greg Blomquist 2017-12-07 16:05:21 UTC
GM, based on the original description, it sounds like all the data is there, but the provisioning dialog has an issue showing the data sometimes.

Comment 4 Jason Frey 2017-12-11 20:21:05 UTC
This may be intentional based on which image is selected.  Images have certain properties that may force them to not be selectable.  In short, see if you can provision it manually on AWS to verify if that image can or can't be deployed, then compare to what we do.

Comment 7 drew uhlmann 2017-12-19 17:58:51 UTC
https://github.com/ManageIQ/manageiq/pull/16688

Comment 9 drew uhlmann 2018-01-10 19:06:19 UTC
https://github.com/ManageIQ/manageiq/pull/16688 is the one, please disregard the above comment.


Note You need to log in before you can comment on or make changes to this bug.